メインコンテンツへスキップ
POST
/
automation
/
2026-09-beta
/
flows
/
batch
/
read
Batch retrieve workflows
curl --request POST \
  --url https://api.hubapi.com/automation/2026-09-beta/flows/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "flowId": "<string>",
      "type": "FLOW_ID"
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/automation/2026-09-beta/flows/batch/read"

payload = { "inputs": [
{
"flowId": "<string>",
"type": "FLOW_ID"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{flowId: '<string>', type: 'FLOW_ID'}]})
};

fetch('https://api.hubapi.com/automation/2026-09-beta/flows/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "type": "CONTACT_FLOW",
      "id": "<string>",
      "isEnabled": true,
      "revisionId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "nextAvailableActionId": "<string>",
      "actions": [
        {
          "actionId": "<string>",
          "inputValue": {
            "actionId": "<string>",
            "dataKey": "<string>",
            "type": "FIELD_DATA"
          },
          "staticBranches": [
            {
              "branchValue": "<string>",
              "connection": {
                "nextActionId": "<string>"
              }
            }
          ],
          "type": "STATIC_BRANCH",
          "defaultBranch": {
            "nextActionId": "<string>"
          },
          "defaultBranchName": "<string>"
        }
      ],
      "timeWindows": [
        {
          "endTime": {
            "hour": 123,
            "minute": 123
          },
          "startTime": {
            "hour": 123,
            "minute": 123
          }
        }
      ],
      "blockedDates": [
        {
          "dayOfMonth": 123,
          "year": 123
        }
      ],
      "customProperties": {},
      "dataSources": [
        {
          "associationTypeId": 123,
          "name": "<string>",
          "objectTypeId": "<string>",
          "type": "ASSOCIATION",
          "sortBy": {
            "property": "<string>",
            "missing": "<string>"
          }
        }
      ],
      "suppressionListIds": [
        123
      ],
      "canEnrollFromSalesforce": true,
      "objectTypeId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "uuid": "<string>",
      "startActionId": "<string>",
      "enrollmentCriteria": {
        "listFilterBranch": {
          "filterBranchOperator": "<string>",
          "filterBranchType": "OR",
          "filterBranches": [
            {
              "filterBranchOperator": "<string>",
              "filterBranchType": "AND",
              "filterBranches": "<array>",
              "filters": [
                "<unknown>"
              ]
            }
          ],
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": "<unknown>",
              "property": "<string>"
            }
          ]
        },
        "reEnrollmentTriggersFilterBranches": [
          {
            "filterBranchOperator": "<string>",
            "filterBranchType": "AND",
            "filterBranches": "<array>",
            "filters": [
              {
                "filterType": "PROPERTY",
                "operation": "<unknown>",
                "property": "<string>"
              }
            ]
          }
        ],
        "shouldReEnroll": true,
        "type": "LIST_BASED",
        "unEnrollObjectsNotMeetingCriteria": true
      },
      "enrollmentSchedule": {
        "timeOfDay": {
          "hour": 123,
          "minute": 123
        },
        "type": "DAILY"
      },
      "goalFilterBranch": {
        "filterBranchOperator": "<string>",
        "filterBranchType": "OR",
        "filterBranches": [
          {
            "filterBranchOperator": "<string>",
            "filterBranchType": "AND",
            "filterBranches": "<array>",
            "filters": [
              {
                "filterType": "PROPERTY",
                "operation": "<unknown>",
                "property": "<string>"
              }
            ]
          }
        ],
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": {
              "includeObjectsWithNoValueSet": true,
              "operationType": "BOOL",
              "operator": "<string>",
              "value": true
            },
            "property": "<string>"
          }
        ]
      },
      "eventAnchor": {
        "contactProperty": "<string>",
        "type": "CONTACT_PROPERTY_ANCHOR"
      },
      "unEnrollmentSetting": {
        "flowIds": [
          "<string>"
        ]
      }
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
inputs
FLOW_ID · object[]
必須

レスポンス

successful operation

completedAt
string<date-time>
必須

The date and time when the batch process was completed, formatted as a date-time string.

results
object[]
必須
startedAt
string<date-time>
必須

The date and time when the batch process began, formatted as a date-time string.

status
enum<string>
必須

The current status of the batch process, with possible values: CANCELED, COMPLETE, PENDING, PROCESSING.

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

A collection of URLs related to the batch process, empty for this operation.

numErrors
integer<int32>
requestedAt
string<date-time>

The date and time when the batch request was initiated, formatted as a date-time string.

最終更新日 2026年4月10日